Bug 100208 - mod_python3 with apache22 fails to run: Undefined symbol "apr_sockaddr_port_get"
Summary: mod_python3 with apache22 fails to run: Undefined symbol "apr_sockaddr_port_get"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-13 13:10 UTC by Mark Evenson
Modified: 2006-08-09 02:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Evenson 2006-07-13 13:10:21 UTC
mod_python3 (3.2.8) builds but fails to run with apache22.

One gets the following error trying to start apache:

  Undefined symbol "apr_sockaddr_port_get"

--


From the modpython mailing list message 

  http://www.modpython.org/pipermail/mod_python/2006-April/020806.html

it is a known problem that mod_python 3.2.8 will not work, and suggests using the
branch accessed with 

  svn co http://svn.apache.org/repos/asf/httpd/mod_python/branches/3.2.x

I had tried to use this code last month without success.  I retried it today, and
it seems to work, so something "upstream" has changed.  Get it while its hot...

Fix: 

Build the mod_python3 port from the port directory

rm work/.build*
rm work/.config*
rm work/.patch_done* 

svn co http://svn.apache.org/repos/asf/httpd/mod_python/branches/3.2.x

rm work/mod_python-3.2.8
mv 3.2.x work/mod_python-3.2.8

make install

--

FreeBSD ports doesn't have a way to use svn repositories as source locations (we rely on tarballs with single checksums), so in order to make this fix more permanent someone should roll a tarball.  Or wait for mod_python-3.2.9 to get released.
Comment 1 Edwin Groothuis freebsd_committer 2006-07-13 13:53:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

Over to maintainer
Comment 2 nikolai.nespor 2006-08-05 09:51:57 UTC
Upgrading to mod_python 3.2.10 should fix this (it did for me). The patch
for mod_python.h is not needed anymore. 3.2.10 upgrade patch below.

Greetz, Nikolai

--8<--snip--8<--
cvs server: Diffing .
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/mod_python3/Makefile,v
retrieving revision 1.35
diff -u -r1.35 Makefile
--- Makefile    13 May 2006 04:41:15 -0000      1.35
+++ Makefile    5 Aug 2006 08:43:22 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      mod_python
-PORTVERSION=   3.2.8
+PORTVERSION=   3.2.10
 CATEGORIES=    www python
 MASTER_SITES=  ${MASTER_SITE_APACHE_HTTPD}
 MASTER_SITE_SUBDIR=    modpython
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/mod_python3/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- distinfo    24 Mar 2006 11:48:41 -0000      1.14
+++ distinfo    5 Aug 2006 08:43:22 -0000
@@ -1,3 +1,3 @@
-MD5 (mod_python-3.2.8.tgz) = d03452979a6a334f73cc2b95b39db331
-SHA256 (mod_python-3.2.8.tgz) = 414c0a8b149381f9f1c2e3f045269f64fcd96beab12a6720dfedf34154095813
-SIZE (mod_python-3.2.8.tgz) = 353131
+MD5 (mod_python-3.2.10.tgz) = cc6439f546a6e70cfff7ca51b8c62541
+SHA256 (mod_python-3.2.10.tgz) = ac404c02ee052dcfbd8e303fe9148866c561be9b9a8a12cffee25276e147f13c
+SIZE (mod_python-3.2.10.tgz) = 365768
cvs server: Diffing files
Index: files/patch-configure
===================================================================
RCS file: /home/ncvs/ports/www/mod_python3/files/patch-configure,v
retrieving revision 1.5
diff -u -r1.5 patch-configure
--- files/patch-configure       18 May 2005 04:11:39 -0000      1.5
+++ files/patch-configure       5 Aug 2006 08:43:23 -0000
@@ -1,7 +1,7 @@
---- configure.orig     Sun Jan 30 06:25:27 2005
-+++ configure  Wed May 18 12:06:06 2005
-@@ -2643,7 +2643,7 @@
- PyLIBP=${PyEXEC_INSTALLDIR}/lib/python${PyVERSION}
+--- configure.orig     Sat Aug  5 09:51:23 2006
++++ configure  Sat Aug  5 09:57:47 2006
+@@ -2899,7 +2899,7 @@
+ PyLIBP=${PY_STD_LIB}
  PyLIBPL=${PyLIBP}/config
  PyPYTHONLIBS=${PyLIBPL}/libpython${PyVERSION}.a
 -PyLIBS=`grep "^LIB[SMC]=" ${PyLIBPL}/Makefile | cut -f2 -d= | tr '\011\012\015' '   '`
cvs server: cannot find files/patch-src_include_mod_python.h.in
--8<--snip--8<--

-- 
Ich verwalte sie. Ich zähle sie und zähle sie wieder.
Das ist nicht leicht. Aber ich bin ein ernsthafter Mann.
\\
 ---> Antoine de Saint-Exupery, "Der kleine Prinz"
Comment 3 Hye-Shik Chang freebsd_committer 2006-08-09 02:10:20 UTC
State Changed
From-To: open->closed

Updated port now supports Apache 2.2. Thank you!